### Hierarchy

- Repeater

## Index

### Properties

- content
- dataJson
- el
- element
- html
- template
- templateString

### Methods

- componentDidLoad
- componentDidUpdate
- interpolate
- postRender
- render
- setData
- setTemplate

## Properties

### content

content: any[] = []

- Defined in repeater/repeater.tsx:23

### dataJson

dataJson: string

- Defined in repeater/repeater.tsx:26

### el

el: HTMLElement

- Defined in repeater/repeater.tsx:21

### element

element: string = "ul"

- Defined in repeater/repeater.tsx:27

### html

html: any

- Defined in repeater/repeater.tsx:19

### template

template: string = ""

- Defined in repeater/repeater.tsx:28

### templateString

templateString: string

- Defined in repeater/repeater.tsx:24

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in repeater/repeater.tsx:30

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in repeater/repeater.tsx:34

  #### Returns void

### interpolate

- interpolate(template: any, obj: any): any

- - Defined in repeater/repeater.tsx:52

  #### Parameters

  - ##### template: any

  - ##### obj: any

  #### Returns any

### postRender

- postRender(): void

- - Defined in repeater/repeater.tsx:38

  #### Returns void

### render

- render(): Element

- - Defined in repeater/repeater.tsx:65

  #### Returns Element

### setData

- setData(content: any): void

- - Defined in repeater/repeater.tsx:43

  #### Parameters

  - ##### content: any

  #### Returns void

### setTemplate

- setTemplate(template: any): void

- - Defined in repeater/repeater.tsx:48

  #### Parameters

  - ##### template: any

  #### Returns void